<template>
    <div>
        <div class="row">

            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4>Data Indikator Inovasi Daerah</h4>
                        <p>21 Indikator dari Data Isian Inovasi Daerah. Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                        <br>
                    </div>
                </div>
            </div>

            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">17. Kecepatan Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Proses yang digunakan untuk mengakses inovasi daerah dalam satuan waktu. yang dimaksud sangat lambat (waktunya pengerjaanya kurang dari 6 bulan) yang dimaksud cukup cepat (waktunya pengerjaanya kurang dari 12 bulan) yang dimaksud lambat (waktunya pengerjaanya lebih dari 12 bulan)</p>
                            <div class="form-check" v-for="(kecepatan_inovasi,index) in kecepataninovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kecepatan_inovasi_id"
                                            :value="kecepatan_inovasi.id"
                                            v-model="currentData.kecepatan_inovasi_id"
                                            v-validate="'required'"
                                            name="kecepatan_inovasi_id"
                                            data-vv-as="Kecepatan Inovasi [Kuisioner]">
                                    {{ kecepatan_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kecepatan_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>17. Kecepatan Inovasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  kecepatan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kecepatan Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/kecepatan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="kecepatan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadKecepatan"
                                ref="kecepatan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="kecepatan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('kecepatan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">17. Kecepatan Inovasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="kecepatan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.kecepatan_filename"
                                v-validate="'required'"
                                name="kecepatan_filename"
                                data-vv-as="Kecepatan Inovasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('kecepatan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">18. Kemanfaatan Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Inovasi daerah yang dihasilkan bermanfaat dan tidak menimbulkan beban terhadap daerah</p>
                            <div class="form-check" v-for="(kemanfaatan_inovasi,index) in kemanfaataninovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kemanfaatan_inovasi_id"
                                            :value="kemanfaatan_inovasi.id"
                                            v-model="currentData.kemanfaatan_inovasi_id"
                                            v-validate="'required'"
                                            name="kemanfaatan_inovasi_id"
                                            data-vv-as="Kemanfaatan Inovasi [Kuisioner]">
                                    {{ kemanfaatan_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kemanfaatan_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>18. Kemanfaatan Inovasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  kemanfaatan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kemanfaatan Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/kemanfaatan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="kemanfaatan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadKemanfaatan"
                                ref="kemanfaatan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="kemanfaatan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('kemanfaatan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">18. Kemanfaatan Inovasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="kemanfaatan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.kemanfaatan_filename"
                                v-validate="'required'"
                                name="kemanfaatan_filename"
                                data-vv-as="Kemanfaatan Inovasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('kemanfaatan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">19. Tingkat Kepuasan penggunaan inovasi daerah [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Ketersediaan tingkat kepuasan inovasi daerah dapat dirasakan sesuai dengan yang diharapkan pengguna</p>
                            <div class="form-check" v-for="(kepuasan_inovasi,index) in kepuasaninovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kepuasan_inovasi_id"
                                            :value="kepuasan_inovasi.id"
                                            v-model="currentData.kepuasan_inovasi_id"
                                            v-validate="'required'"
                                            name="kepuasan_inovasi_id"
                                            data-vv-as="Tingkat Kepuasan penggunaan inovasi daerah [Kuisioner]">
                                    {{ kepuasan_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kepuasan_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>19. Tingkat Kepuasan penggunaan inovasi daerah [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  kepuasan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kepuasan Pengguna Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/kepuasan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="kepuasan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadKepuasan"
                                ref="kepuasan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="kepuasan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('kepuasan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">19. Tingkat Kepuasan penggunaan inovasi daerah [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="kepuasan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.kepuasan_filename"
                                v-validate="'required'"
                                name="kepuasan_filename"
                                data-vv-as="Tingkat Kepuasan penggunaan inovasi daerah [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('kepuasan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">20. Sosialisasi Kebijakan [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Penyebarluasan informasi kebijakan inovasi daerah dari pemerintahan daerah kepada pengguna inovasi daerah (pengguna dapat Pegawai ASN atau Masyarakat) dengan mengunggah foto kegiatan inovasi daerah dan/atau pelaksanaan inovasi dimaksud</p>
                            <div class="form-check" v-for="(sosialisasi,index) in sosialisasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="sosialisasi_id"
                                            :value="sosialisasi.id"
                                            v-model="currentData.sosialisasi_id"
                                            v-validate="'required'"
                                            name="sosialisasi_id"
                                            data-vv-as="Sosialisasi Kebijakan [Kuisioner]">
                                    {{ sosialisasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('sosialisasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>20. Sosialisasi Kebijakan [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  sosialisasi_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Sosialisasi Kebijakan File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/sosialisasi_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="sosialisasi_file"
                                @input-filter="inputFilter"
                                @input-file="uploadSosialisasi"
                                ref="sosialisasi_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="sosialisasi_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('sosialisasi_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">20. Sosialisasi Kebijakan [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="sosialisasi_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.sosialisasi_filename"
                                v-validate="'required'"
                                name="sosialisasi_filename"
                                data-vv-as="Sosialisasi Kebijakan [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('sosialisasi_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">21. Kualitas Inovasi Daerah [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Kualitas inovasi Daerah dapat dibuktikan dengan video inovasi daerah (file MP4, MOV atau AVI)</p>
                            <div class="form-check" v-for="(kualitas_inovasi,index) in kualitasinovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kualitas_inovasi_id"
                                            :value="kualitas_inovasi.id"
                                            v-model="currentData.kualitas_inovasi_id"
                                            v-validate="'required'"
                                            name="kualitas_inovasi_id"
                                            data-vv-as="Kualitasi Inovasi Daerah [Kuisioner]">
                                    {{ kualitas_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kualitas_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>21. Kualitas Inovasi Daerah [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe video (mp4/mov/avi), dengan maksimal besar file adalah 50 MB.</p>
                            <div v-for="(file, index) in  kualitas_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kecepatan Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/kualitas_file"
                                extensions="mp4,avi,mov"
                                accept="video/mp4,video/avi,video/mov"
                                :multiple="false"
                                v-model="kualitas_file"
                                @input-filter="inputFilter"
                                @input-file="uploadKualitas"
                                ref="kualitas_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="kualitas_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('kualitas_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">21. Kualitas Inovasi Daerah [URL/Link Youtube 1]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan inputkan URL/link youtube dari video inovasi daerah</p>
                            <input  type="text"
                                class="form-control"
                                id="url1_kualitas"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.url1_kualitas"
                                v-validate="'required'"
                                name="url1_kualitas"
                                data-vv-as="Kualitas Inovasi Daerah [URL/Link Youtube 1]">
                            <div class="text-danger small">{{ veeErrors.first('url1_kualitas') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">21. Kualitas Inovasi Daerah [URL/Link Youtube 2]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan inputkan URL/link youtube dari video inovasi daerah</p>
                            <input  type="text"
                                class="form-control"
                                id="url2_kualitas"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.url2_kualitas"
                                v-validate="'required'"
                                name="url2_kualitas"
                                data-vv-as="Kualitas Inovasi Daerah [URL/Link Youtube 2]">
                            <div class="text-danger small">{{ veeErrors.first('url2_kualitas') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">22. Inovasi Daerah Dalam IGA dan Sinovik <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Apakah inovasi daerah pernah didaftarkan untuk IGA (Innovative Government Award) Kemendagri atau Sinovik (Sistem Inovasi Pelayanan Publik) Kemenpan RB atau belum</p>
                            <div class="form-check" v-for="(iga_sinovik,index) in igasinovik" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="iga_sinovik_id"
                                            :value="iga_sinovik.id"
                                            v-model="currentData.iga_sinovik_id"
                                            v-validate="'required'"
                                            name="iga_sinovik_id"
                                            data-vv-as="Inovasi Daerah Dalam IGA dan Sinovik">
                                    {{ iga_sinovik.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('iga_sinovik_id') }}</div>
                        </div>


                        <div class="form-group">
                            <label for="exampleInputUsername1">23. Catatan atau Tambahan Keterangan Mengenai Inovasi Daerah <a style="color:red;">*</a></label>
                            <input  type="text"
                                class="form-control"
                                id="catatan"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.catatan"
                                v-validate="'required'"
                                name="catatan"
                                data-vv-as="Catatan atau Tambahan Keterangan Mengenai Inovasi Daerah">
                            <div class="text-danger small">{{ veeErrors.first('catatan') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>


        </div>
        <button class="btn btn-primary" type="submit" @click.prevent="submit()">Submit form</button>
    </div>
</template>

<script>

    export default {
        props: ['dataprops'],
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },

        //Binding Data
        data() {
            return {
                component:'Page4Component',
                token:document.head.querySelector('meta[name="csrf-token"]').content,
                currentData:{
                    // id:'',
                    kecepatan_inovasi_id:'',
                    kecepatan_file:'',
                    kecepatan_filename:'',
                    kemanfaatan_inovasi_id:'',
                    kemanfaatan_file:'',
                    kemanfaatan_filename:'',
                    kepuasan_inovasi_id:'',
                    kepuasan_file:'',
                    kepuasan_filename:'',
                    sosialisasi_id:'',
                    sosialisasi_file:'',
                    sosialisasi_filename:'',
                    kualitas_inovasi_id:'',
                    kualitas_file:'',
                    // kualitas_filename:'',
                    url1_kualitas:'',
                    url2_kualitas:'',
                    iga_sinovik_id:'',
                    catatan:'',
                },

                //initializing property form
                kecepatan_inovasi_id: [],
                kemanfaatan_inovasi_id: [],
                kepuasan_inovasi_id: [],
                sosialisasi_id: [],
                kualitas_inovasi_id: [],
                iga_sinovik_id: [],

                //initializing property funtion get data
                kecepataninovasi: [],
                kemanfaataninovasi: [],
                kepuasaninovasi: [],
                sosialisasi: [],
                kualitasinovasi: [],
                igasinovik: [],

                //initializing property upload file
                // files: [],
                kecepatan_file:[],
                kemanfaatan_file:[],
                kepuasan_file:[],
                sosialisasi_file:[],
                kualitas_file:[],
                image_folder:"iconFile"
            }

        },

        created(){
            this.initial();
            this.getKecepatanInovasi();
            this.getKemanfaatanInovasi();
            this.getKepuasanInovasi();
            this.getSosialisasi();
            this.getKualitasInovasi();
            this.getIgaSinovik();
            // this.testData();
        },

        methods: {
            initial(){
                this.currentData.id = this.dataprops.id
            },
            testData(){
                this.currentData={
                     kecepatan_inovasi_id:3,
                    kecepatan_file:'test',
                    kecepatan_filename:'test',
                    kemanfaatan_inovasi_id:3,
                    kemanfaatan_file:'test',
                    kemanfaatan_filename:'test',
                    kepuasan_inovasi_id:3,
                    kepuasan_file:'test',
                    kepuasan_filename:'test',
                    sosialisasi_id:3,
                    sosialisasi_file:'test',
                    sosialisasi_filename:'test',
                    kualitas_inovasi_id:3,
                    kualitas_file:'test',
                    // kualitas_filename:'test',
                    url1_kualitas:'test',
                    url2_kualitas:'test',
                    iga_sinovik_id:3,
                    catatan:'test',
                }
            },
            //function to get all data from laravel route (Frontend/Home)
            getKecepatanInovasi() {
                axios.get('/form4/get/kecepataninovasi').then(response => {
                   this.kecepataninovasi = response.data
                })
            },
            getKemanfaatanInovasi() {
                axios.get('/form4/get/kemanfaataninovasi').then(response => {
                   this.kemanfaataninovasi = response.data
                })
            },
            getKepuasanInovasi() {
                axios.get('/form4/get/kepuasaninovasi').then(response => {
                   this.kepuasaninovasi = response.data
                })
            },
            getSosialisasi() {
                axios.get('/form4/get/sosialisasi').then(response => {
                   this.sosialisasi = response.data
                })
            },
            getKualitasInovasi() {
                axios.get('/form4/get/kualitasinovasi').then(response => {
                   this.kualitasinovasi = response.data
                })
            },
            getIgaSinovik() {
                axios.get('/form4/get/igasinovik').then(response => {
                   this.igasinovik = response.data
                })
            },

            //function when user click the button submit
            submit(){
                // this.insertData()
                this.$validator.validate().then(valid => {
                    if (valid) {
                        //Insert data to backend(laravel)
                        this.insertData()
                        //to next component
                        this.toNextComponent('ThankyouComponent')
                    }
                 });
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },

            //function send data to backend (/form2/send/Id) and get the the current Id
            async insertData(){
                // let self = this
                this.currentData.kecepatan_file =`${this.kecepatan_file[0].postAction}/${this.kecepatan_file[0].name}`
                this.currentData.kemanfaatan_file =`${this.kemanfaatan_file[0].postAction}/${this.kemanfaatan_file[0].name}`
                this.currentData.kepuasan_file =`${this.kepuasan_file[0].postAction}/${this.kepuasan_file[0].name}`
                this.currentData.sosialisasi_file =`${this.sosialisasi_file[0].postAction}/${this.sosialisasi_file[0].name}`
                this.currentData.kualitas_file =`${this.kualitas_file[0].postAction}/${this.kualitas_file[0].name}`
                let data = this.formData(this.currentData)
                let id = this.dataprops.id
                await axios.post(`/form4/send/${id}`,data).then(response => {
                   this.currentData.id = response.data
                })
            },

            toNextComponent(visit){
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);
                let data = {
                    back:this.component,
                    data:this.currentData,

                    visit
                }
                this.$emit('datacomponent', data)

            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },

            //function for activing upload file when user upload the file
            uploadKecepatan() {
                this.$refs.kecepatan_file.active = true
            },
            uploadKemanfaatan() {
                this.$refs.kemanfaatan_file.active = true
            },
            uploadKepuasan() {
                this.$refs.kepuasan_file.active = true
            },
            uploadSosialisasi() {
                this.$refs.sosialisasi_file.active = true
            },
            uploadKualitas() {
                this.$refs.kualitas_file.active = true
            },

            getFile(link){
              return `${this.image_folder}/file.png`
            },

        },
    }
</script>

<style>

</style>
